hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Douglas (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (HADOOP-5611) C++ libraries do not build on Debian Lenny
Date Fri, 12 Feb 2010 05:33:29 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-5611?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Chris Douglas resolved HADOOP-5611.
-----------------------------------

       Resolution: Fixed
    Fix Version/s:     (was: 0.21.0)
                   0.20.2

I committed this to the 0.20 branch.

The C++ code should probably make use of the std namespace instead of using global imports,
but that is a broader, more pervasive issue that can be dealt with separately.

> C++ libraries do not build on Debian Lenny
> ------------------------------------------
>
>                 Key: HADOOP-5611
>                 URL: https://issues.apache.org/jira/browse/HADOOP-5611
>             Project: Hadoop Common
>          Issue Type: Bug
>    Affects Versions: 0.18.3, 0.19.0, 0.19.1
>         Environment: Debian Lenny, 64 bit
>            Reporter: Todd Lipcon
>            Assignee: Todd Lipcon
>            Priority: Critical
>             Fix For: 0.20.2
>
>         Attachments: 0001-HADOOP-5611-Add-some-missing-includes-to-c-code-t.patch, HADOOP-5611-fixed.patch
>
>
> The compilation of the C++ util and Hadoop Pipes code generates some errors about undefined
functions. It appears there are just some missing includes that must not affect some other
systems. Attaching a patch that fixes this issue.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message